# PhasicFlow: sphereRegion Class Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

sphereRegion Class Reference
Collaboration diagram for sphereRegion:
[legend]

## Public Member Functions

| TypeInfoNV ("sphereRegion")
| sphereRegion (const dictionary &dict)
| ~sphereRegion ()=default
bool | isInside (const realx3 &p) const
realx3 | peek () const
bool | read (const dictionary &dict)
bool | write (dictionary &dict) const

## Protected Attributes

sphere | sphere_
uniformRandomReal | random_

## Detailed Description

Definition at line 33 of file sphereRegion.hpp.

## Constructor & Destructor Documentation

## sphereRegion()

sphereRegion | ( | const dictionary & | dict | ) |

Definition at line 25 of file sphereRegion.cpp.

## ~sphereRegion()

~sphereRegion | ( |  | ) |

default

## Member Function Documentation

## TypeInfoNV()

TypeInfoNV | ( | "sphereRegion" |  | ) |

## isInside()

bool isInside | ( | const realx3 & | p | ) | const

Definition at line 36 of file sphereRegion.cpp.

## peek()

pFlow::realx3 peek | ( |  | ) | const

Definition at line 43 of file sphereRegion.cpp.

References sphere::center(), fatalErrorInFunction, fatalExit, sphere::isInside(), sphere::radius(), sphereRegion::random_, uniformRandomReal::randomNumber(), and sphereRegion::sphere_.

Here is the call graph for this function:

## read()

bool read | ( | const dictionary & | dict | ) |

Definition at line 62 of file sphereRegion.cpp.

## write()

bool write | ( | dictionary & | dict | ) | const

Definition at line 72 of file sphereRegion.cpp.

References pFlow::endl(), fatalErrorInFunction, and dictionary::globalName().

Here is the call graph for this function:

## Member Data Documentation

## sphere_

sphere sphere_

protected

Definition at line 37 of file sphereRegion.hpp.

Referenced by sphereRegion::peek().

## random_

uniformRandomReal random_

mutableprotected

Definition at line 39 of file sphereRegion.hpp.

Referenced by sphereRegion::peek().

The documentation for this class was generated from the following files:

- src/phasicFlow/structuredData/peakableRegion/old/sphereRegion/sphereRegion.hpp
- src/phasicFlow/structuredData/peakableRegion/old/sphereRegion/sphereRegion.cpp